@import "reset";
@import url('https://fonts.googleapis.com/css?family=Roboto');

*{    
    //outline: 1px solid;    
    box-sizing: border-box;
}

html{
    font-family: 'Roboto', sans-serif;
    color: #222;
    font-size: 10px;
}
body{
    font-size: 1.5rem;
}

a{
    text-decoration: none;
    color: #222;
}

html > * { outline-color: red; }
html > * > * { outline-color: blue; }
html > * > * > * { outline-color: yellow; }
html > * > * > * > * { outline-color: green; }
html > * > * > * > * > * { outline-color: magenta; }



body {
    background: #bbb;
    user-select: none;
}

#main-header{
    overflow: hidden;
    background: #eee;
    padding: .25em 0;
    display: grid;
    grid-template-columns: 1fr minmax(auto, 1000px) 1fr;

    .header-container{
        grid-column: 2;
        display: grid;
        grid-template-columns: auto 1fr auto;
        
        .brand-link{
            grid-column: 1;
            height: 40px;
        }

        .brand-menu{
            grid-column: 3;
            display: flex;

            li{
                display: block;
                height: 40px;
                line-height: 40px;
                
                a{
                    display: block;
                    height: 100%;
                    width: 100%;
                    padding: 0 1em;
                    transition: 250ms ease;
                    &:hover{
                        background: #bbb;
                    }
                }
            }            
        }
    }
}

#main-nav{
    background: #ddd;
    display: grid;
    grid-template-columns: 1fr minmax(auto, 1000px) 1fr;

    ul{
        grid-column: 2;
        display: flex;
        justify-content: center;

        li{
            display: block;            
        }

        a{            
            display: block;
            padding: 1em;
            transition: .25s ease;
            &:hover { background: #ccc; }
        }
    }
}

main{
    user-select: all;
    
    display: grid;
    grid-template-columns: 1fr minmax(auto, 1000px) 1fr;
    & > * {
        grid-column: 2;
    }    
}